apiVersion: networking.istio.io/v1beta1
kind: VirtualService
metadata:
  name: websockets
  namespace: gitlab
spec:
  hosts:
    - gitlab.${cluster}.${region}.${project}.${provider}.${domain}
    - ${global_endpoint}
  gateways:
    - webservice
  http:
    - name: "websockets"
      headers:
        response:
          set:
            websocket: "true"
      match:
        - headers:
            upgrade:
              regex: "(?i)WebSocket"
      route:
        - destination:
            host: gitlab-webservice-websockets
            port:
              number: 8181
